package com.ruoyi.ibs.grid.domain.excel;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;

public class NewQyAnchor implements Serializable {
    /**
     * 客户类型，个人/商户/企业
     */
    @Excel(name = "客户类型，商户/企业*", prompt = "必填")
    private String custType;
    /**
     * 锚点编号。同客户编号，即证件id
     */
    @Excel(name = "客户号")
    private String custId;

    @Excel(name = "客户内码")
    private String custIsn;
    /**
     * 证件类型
     */
    @Excel(name = "证件类型(营业执照)*", prompt = "必填")
    private String custIdType;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    @Excel(name = "客户名称*", prompt = "必填")
    private String anchorName;

    @Excel(name = "证件号*", prompt = "必填")
    private String legalId;

    /**
     * 锚点描述，用户在人工审核页填写的备注，在锚点编辑页填写的锚点备注
     */
    @Excel(name = "锚点描述")
    private String anchorRemark;
    /**
     * 地址，用户导入/编辑输入/图商返回，原地址取值
     */
    @Excel(name = "注册地址（地址至少填写一项）")
    private String addressZc;

    @Excel(name = "经营地址（地址至少填写一项）")
    private String addressJy;
    /**
     * 所在行业。用户编辑输入/图商返回
     */
    @Excel(name = "所在行业")
    private String belongBusiness;

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getLegalId() {
        return legalId;
    }

    public void setLegalId(String legalId) {
        this.legalId = legalId;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustIdType() {
        return custIdType;
    }

    public void setCustIdType(String custIdType) {
        this.custIdType = custIdType;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getAnchorRemark() {
        return anchorRemark;
    }

    public void setAnchorRemark(String anchorRemark) {
        this.anchorRemark = anchorRemark;
    }

    public String getAddressZc() {
        return addressZc;
    }

    public void setAddressZc(String addressZc) {
        this.addressZc = addressZc;
    }

    public String getAddressJy() {
        return addressJy;
    }

    public void setAddressJy(String addressJy) {
        this.addressJy = addressJy;
    }
}
